## org.eclipse.datatools.connectivity.db.generic.ui
Class NewConnectionProfileWizard

    java.lang.Object
      BaseWizard
          org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
              org.eclipse.datatools.connectivity.db.generic.ui.NewConnectionProfileWizard

All Implemented Interfaces:
  ICPWizard

public class NewConnectionProfileWizard
extends NewConnectionProfileWizard

See Also:
  `Wizard`, Serialized Form

Constructor Summary
`NewConnectionProfileWizard()`

Method Summary
`void` `addCustomPages()` Clients needs to add their customized pages here
`java.util.Properties` `getProfileProperties()` Clients need provide implementation to get extra profile properties

Methods inherited from class org.eclipse.datatools.connectivity.ui.wizards.NewConnectionProfileWizard
`addPages, getParentProfile, getProfileDescription, getProfileIsAutoConnect, getProfileName, getProfileProviderID, init, initProviderID, performFinish, setParentProfile`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewConnectionProfileWizard

    public NewConnectionProfileWizard()

Method Detail

### addCustomPages

    public void addCustomPages()

  Description copied from class: `NewConnectionProfileWizard`
  Clients needs to add their customized pages here

  Specified by:
    `addCustomPages` in class `NewConnectionProfileWizard`
  See Also:
    `NewConnectionProfileWizard.addCustomPages()`

### getProfileProperties

    public java.util.Properties getProfileProperties()

  Description copied from class: `NewConnectionProfileWizard`
  Clients need provide implementation to get extra profile properties

  Specified by:
    `getProfileProperties` in class `NewConnectionProfileWizard`
  Returns:
  See Also:
    `NewConnectionProfileWizard.getProfileProperties()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.